Update a department.
PUT /users/department
Operation id: DepartmentService_UpdateDepartment
Description
Permission Level: Read-Write
Tags: DepartmentService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
name | string | No | |
tenantId | string | No | |
parent | string | No | |
displayName | string | No | |
attributes | array | No | |
domain | string | No | |
updateFieldMask | string | No | |
updateScopeOption | object | No | |
description | string | No | |
expiration | object | No |
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"parent": {
"type": "string"
},
"displayName": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
},
"domain": {
"type": "string"
},
"updateFieldMask": {
"type": "string"
},
"updateScopeOption": {
"type": "object",
"properties": {
"scopes": {
"type": "object"
},
"autoRemoveUsers": {
"type": "boolean"
}
}
},
"description": {
"type": "string"
},
"expiration": {
"type": "object"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
name | string | No | |
tenantId | string | No | |
parent | string | No | |
displayName | string | No | |
attributes | array | No | |
domain | string | No | |
enabledScopes | object | No | |
description | string | No | |
expiration | object | No |
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"parent": {
"type": "string"
},
"displayName": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
},
"domain": {
"type": "string"
},
"enabledScopes": {
"type": "object"
},
"description": {
"type": "string"
},
"expiration": {
"type": "object"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}